WordPress.org

Ready to get started?Download WordPress

Forums

IE 9 compatibility issues. (7 posts)

  1. PetruTiglar
    Member
    Posted 1 year ago #

    My site looks perfect on chrome and Firefox but has really stuffed up for IE. I tried some plugins and added some codes but wont fix it. Any ideas?

    ptnetworx.com.au

  2. WPyogi
    Volunteer Moderator
    Posted 1 year ago #

    Unfortunately you have a ton of errors on that page:

    http://validator.w3.org/check?uri=http%3A%2F%2Fptnetworx.com.au%2F&charset=%28detect+automatically%29&doctype=Inline&group=0

    Some may not be a big deal, but the first one is a big problem for IE - having any code above the DOCTYPE. So see if changing that fixes the problems. If not, you'll have to start going through the errors and tracking them down. Some may be in your content, some in theme files and others caused by plug-ins.

    For more help with the theme, you'll likely need to go to WooThemes as commercial themes are not supported here.

  3. Shane Gowland
    Member
    Posted 1 year ago #

    I can't reproduce this. Your website looks identical in IE, Firefox and Chrome for me.

    Can you describe exactly what the problem is, or (better yet) take a screen capture with comparison.

  4. PetruTiglar
    Member
    Posted 1 year ago #

    Holly crasp, Thanks for the heads up man.
    any easy tips on how i can clean it up faster?

  5. WPyogi
    Volunteer Moderator
    Posted 1 year ago #

    Fix the line of code at the top first. The look at the errors that have to do with missing, open, stray or extra tags or elements in a wrong place. You have to look at the validator results and see where the error is -- then see if it's in your content or in the php files.

  6. PetruTiglar
    Member
    Posted 1 year ago #

  7. PetruTiglar
    Member
    Posted 1 year ago #

    Issue is fixed,
    I was reading the coding in the header.php and found a bunch of IE lines so i removed them to see if it worked but it didnt so i placed them above the lines that they were at before and fixed the issue, Thank you for the support.. For reference to future users ill leave a copy of one of the codes on this thread.

    <!DOCTYPE html>
    <!--[if lt IE 7 ]> <html <?php language_attributes(); ?> class="no-js ie6"> <![endif]-->
    <!--[if IE 7 ]> <html <?php language_attributes(); ?> class="no-js ie7"> <![endif]-->
    <!--[if IE 8 ]> <html <?php language_attributes(); ?> class="no-js ie8"> <![endif]-->
    <!--[if IE 9 ]> <html <?php language_attributes(); ?> class="no-js ie9"> <![endif]-->

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags

No tags yet.